Bug 1690374 - flatpak-module build-module build fails with ValueError: could not convert string to float: '049-26.git20181204.fc30' [NEEDINFO]
Summary: flatpak-module build-module build fails with ValueError: could not convert st...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-19 11:04 UTC by Martin Stransky
Modified: 2019-05-03 03:02 UTC (History)
7 users (show)

Fixed In Version: mock-1.4.15-1.fc30 mock-1.4.15-1.fc28 mock-1.4.15-1.fc29 mock-1.4.15-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-27 21:27:43 UTC
stransky: needinfo? (msuchy)


Attachments (Terms of Use)

Description Martin Stransky 2019-03-19 11:04:47 UTC
Description of problem:
Building berusky package as a module/flatpak, I get:

SHELL': '/bin/sh', 'HOME': '/builddir', 'HOSTNAME': 'mock', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'LANG': 'en_US.UTF-8'} and shell False
DEBUG: Child return code was: 0
ERROR: could not convert string to float: '049-26.git20181204.fc30'
Traceback (most recent call last):
  File "/usr/libexec/mock/mock", line 977, in <module>
    main()
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 96, in trace
    result = func(*args, **kw)
  File "/usr/libexec/mock/mock", line 766, in main
    run_command(options, args, config_opts, commands, buildroot, state)
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 96, in trace
    result = func(*args, **kw)
  File "/usr/libexec/mock/mock", line 793, in run_command
    commands.init()
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 96, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.7/site-packages/mockbuild/backend.py", line 165, in init
    self.buildroot.initialize(**kwargs)
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 96, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.7/site-packages/mockbuild/buildroot.py", line 93, in initialize
    self._init(prebuild=prebuild, do_log=do_log)
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 96, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.7/site-packages/mockbuild/buildroot.py", line 155, in _init
    self._make_build_user()
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 96, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.7/site-packages/mockbuild/buildroot.py", line 294, in _make_build_user
    shell=False, raiseExc=False, nosync=True)
  File "/usr/lib/python3.7/site-packages/mockbuild/buildroot.py", line 205, in doChroot
    env=env, shell=shell, *args, **kargs)
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 96, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.7/site-packages/mockbuild/util.py", line 642, in do
    nspawn_args=nspawn_args, env=env, cwd=cwd)
  File "/usr/lib/python3.7/site-packages/mockbuild/util.py", line 772, in _prepare_nspawn_command
    distro_version = float(distro.version() or 0)
ValueError: could not convert string to float: '049-26.git20181204.fc30'

Version-Release number of selected component (if applicable):
mock-1.4.14-1.fc30.noarch

How reproducible:
Always

Steps to Reproduce:
Follow https://docs.fedoraproject.org/en-US/flatpak/tutorial/ for berusky package, i.e.:

$fedmod fetch-metadata
$fedmod rpm2flatpak --flatpak-common feedreader
$flatpak-module build-module

btw. You may need this patch:
https://pagure.io/fm-orchestrator/c/3d3da4def125c39c83700aac6e28f227e5859636

Comment 1 Miroslav Suchý 2019-04-19 18:28:25 UTC
Fixed in commit:
  * e2e783f (HEAD -> devel) ignore weird distro.version() [RHBZ#1690374]

Comment 2 Fedora Update System 2019-04-22 19:13:29 UTC
mock-1.4.15-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7a7a12aff5

Comment 3 Fedora Update System 2019-04-22 19:13:35 UTC
mock-1.4.15-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-98a73907d3

Comment 4 Fedora Update System 2019-04-22 19:13:41 UTC
mock-1.4.15-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9f8e99528d

Comment 5 Fedora Update System 2019-04-22 19:13:47 UTC
mock-1.4.15-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0649a04cab

Comment 6 Fedora Update System 2019-04-23 14:55:51 UTC
mock-1.4.15-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-98a73907d3

Comment 7 Fedora Update System 2019-04-23 19:33:44 UTC
mock-1.4.15-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0649a04cab

Comment 8 Fedora Update System 2019-04-23 21:15:58 UTC
mock-1.4.15-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7a7a12aff5

Comment 9 Fedora Update System 2019-04-23 23:40:49 UTC
mock-1.4.15-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9f8e99528d

Comment 10 Miroslav Suchý 2019-04-24 12:13:27 UTC
Martin, can you please run 
  python3 -c "import distro; print(distro.version())"
in that Flatpak of yours. JEischman is curious about the results.

Comment 11 Martin Stransky 2019-04-25 12:25:04 UTC
(In reply to Miroslav Suchý from comment #10)
> Martin, can you please run 
>   python3 -c "import distro; print(distro.version())"
> in that Flatpak of yours. JEischman is curious about the results.

I'm not sure how do you mean it. Shall I call it from the rpm spec file when the package is built?

Comment 12 Fedora Update System 2019-04-27 21:27:43 UTC
mock-1.4.15-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-04-30 01:40:33 UTC
mock-1.4.15-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-04-30 02:27:41 UTC
mock-1.4.15-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-05-03 03:02:49 UTC
mock-1.4.15-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.